OpenVDB: PointsToTransformedScalarOp< GridT, PointDataGridT, FilterT > Struct Template Reference

OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
PointsToTransformedScalarOp< GridT, PointDataGridT, FilterT > Struct Template Reference

Compute scalar grid from PointDataGrid using a different transform and while evaluating the point filter. More...

`#include <PointMask.h>`

## Public Types
using | LeafManagerT = tree::LeafManager< const typename PointDataGridT::TreeType >
using | ValueType = typename GridT::TreeType::LeafNodeType::ValueType
using | HandleT = AttributeHandle< Vec3f >
using | CombinableT = typename GridCombinerOp< GridT >::CombinableT

## Public Member Functions
| PointsToTransformedScalarOp (const math::Transform &newTransform, const math::Transform &transform, const FilterT &filter, CombinableT &combinable)
void | operator() (const typename LeafManagerT::LeafRange &range) const

## Detailed Description

### template<typename GridT, typename PointDataGridT, typename FilterT>
struct openvdb::v5_1::points::point_mask_internal::PointsToTransformedScalarOp< GridT, PointDataGridT, FilterT >

Compute scalar grid from PointDataGrid using a different transform and while evaluating the point filter.

## Member Typedef Documentation

## ◆ CombinableT

using CombinableT = typename GridCombinerOp<GridT>::CombinableT

## ◆ HandleT

using HandleT = AttributeHandle<Vec3f>

## ◆ LeafManagerT

using LeafManagerT = tree::LeafManager<const typename PointDataGridT::TreeType>

## ◆ ValueType

using ValueType = typename GridT::TreeType::LeafNodeType::ValueType

## Constructor & Destructor Documentation

## ◆ PointsToTransformedScalarOp()

PointsToTransformedScalarOp | ( | const math::Transform & | newTransform,
|  | const math::Transform & | transform,
|  | const FilterT & | filter,
|  | CombinableT & | combinable
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- PointMask.h